Bug 152742 - kernel-2.4.xx (xx>=24) package to solve extensive swapping and improper caching policies problems present in RH9
kernel-2.4.xx (xx>=24) package to solve extensive swapping and improper cachi...
Status: CLOSED WONTFIX
Product: Fedora Legacy
Classification: Retired
Component: Package request (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
https://bugzilla.redhat.com/bugzilla/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-30 02:43 EDT by Myroslav Opyr
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lawrence 2005-03-30 18:25:51 EST
There was a bug "(VM)Kernel prefers swapping instead of releasing cache memory"
in RedHat bugzilla, which affected all RH9 systems. It was never corrected
before End Of RH9 Life. However people are running RH9 systems still with no
ability to install something completely new, as systems affected are in
production. People say that the problem is flattening with Linux kernel-2.4.24
and ?almost? disappearing with 2.6.6. Red Hat never released kernels later
then 	2.4.20-31.9. So the issue is packaging kernel-2.4.24 (and possibly
kernel-2.6.6) for RH9 users.



------- Additional Comments From myroslav@quintagroup.com 2004-06-30 02:45:22 ----

I'll put URL here either for those who read comments only.

  (VM)Kernel prefers swapping instead of releasing cache memory
  https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=89226

  Original problem discussion at RedHat bugzilla.



------- Additional Comments From jp107@damtp.cam.ac.uk 2004-06-30 08:08:02 ----

Building a "kernel rpm" based on newer kernel source for any particular system
is easy enough to do.  However making one which has all the patches (or
compatible hacks which people expect) and writing a larger number of .config
files and testing it all for RH9 (say) is a lot more work.

If you just want a template to see how to roll your own you might look at:

 http://www.damtp.cam.ac.uk/user/jp107/legacy/8.0/SRPMS/fwkern-2.4.26-2J.src.rpm

which is (despite the name which is to avoid confusion/clashes), a kernel source
rpm which we use to make 2.4.26 kernels suitable for _our_ firewall.

Of course it only has one kernel config and that won't have anything like the
extra modules/features people expect in a kernel for "general use", and it
bundles in a copy of (a snapshot of) iptables in a quite hacky way so please
*don't* actually try to use it directly (unless you happen to want the same
modules we use on our firewall!)

It does however show the basic structures you might use if you only need 2.4.26
kernel for a few systems.



------- Additional Comments From jim.laverty@gmail.com 2004-07-23 03:44:46 ----

Myroslav,

I just switched jobs in the past two months, so I will add my comments in the
next week or so. I'm in the process of updating my contact info everywhere and
settling in at my new job.

I have Fedora Core 2 w/2.6.7 and RH AS 3 running here in a production
environment. I will post my notes here based on both of these releases.

I will run some tests and benchmarks against 2.6.7 (since this is the Fedora
section) and post the results using the same techniques I used on the old
thread.  I will let the
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=89226 thread die, as RH 9
has reached EOL.  

The 2.4.24 kernel and above should give the RH 9 users relief from this issue. 
The behavior was much better than 2.4.20 and 2.4.22 kernels.




Jim



------- Additional Comments From jp107@damtp.cam.ac.uk 2004-07-23 05:59:04 ----

> I will run some tests and benchmarks against 2.6.7 (since this is the Fedora
> section) and post the results using the same techniques I used on the old

Actually this is the "fedora legacy" section.  I did suggest (elsewhere) working
on updating RH9 (etc) to something based on a later 2.4.x kernel, but apparently
this would be against FL policy -- the only allowed changes are minimal ones.

Of course doing it would be a lot of work for RH9 since the ntpl hacks would
have to be re-inserted against the more modern kernel.  It would be less work
for RH73/8 etc since they don't include the ntpl stuff anyway.  Still working
out which (if any) of the ~180 patches included in the RH9 kernels would still
be relevant.  One could start with the FC1 kernel which has far fewer patches
and is more recent anyway...

Going to 2.6.x for RH73/8/9, FC1 would probably be even harder...



------- Additional Comments From myroslav@quintagroup.com 2004-07-27 14:24:34 ----

> The 2.4.24 kernel and above should give the RH 9 users relief from this 
> issue. The behavior was much better than 2.4.20 and 2.4.22 kernels.

RedHat was offering 2.4.20-31.9 kernel in last RHN update. You are referring to
2.4.24. It look like it need to have red hat patches applied. Does anybody know,
if there are any resources dedicated to 2.4.24 and RedHat patches?






------- Additional Comments From marcdeslauriers@videotron.ca 2004-09-18 17:33:30 ----

Fedora Legacy will only produce security fixes for the last kernel released by
Red Hat. I am closing this bug.



------- Bug moved to this database by dkl@redhat.com 2005-03-30 18:25 -------

This bug previously known as bug 1797 at https://bugzilla.fedora.us/
https://bugzilla.fedora.us/show_bug.cgi?id=1797
Originally filed under the Fedora Legacy product and Package request component.

Unknown priority P2. Setting to default priority "normal".
Unknown platform PC. Setting to default platform "All".
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.


Note You need to log in before you can comment on or make changes to this bug.